> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# Get a dev-tool source's classification breakdown

GET https://astropods.com/api/v1/accounts/{account}/insights/sources/{source}

Reference: https://docs.astropods.com/api-reference/astropods-api/observability/get-a-dev-tool-sources-classification-breakdown

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account` (string, required) — Account name
- `source` (string, required) — Dev-tool source key (e.g. claude-code)

### Query parameters

- `day` (string, optional) — Narrow the per-developer breakdown to one UTC day (YYYY-MM-DD)

## Response

### 200

OK

- `as_of` (string, optional)
- `axes` (list of InsightsSourceAxisRef, optional)
- `coverage` (InsightsSourceCoverage, optional)
- `ranges` (map from string to InsightsSourceRange, optional)
- `source` (DevtoolSourceRef, optional)

## Types

### InsightsSourceAxisRef

- `key` (string, optional)
- `label` (string, optional)

### InsightsSourceCoverage

- `backfill_complete` (boolean, optional)
- `classified_from` (string, optional)
- `classified_through` (string, optional)
- `content_available` (boolean, optional)
- `cost_unavailable` (boolean, optional)

### InsightsSourceRange

- `axes` (map from string to InsightsSourceAxis, optional)
- `days` (integer, optional)
- `people` (InsightsSourcePeople, optional)
- `period` (AccountSummaryPeriod, optional)

### DevtoolSourceRef

- `icon` (string, optional)
- `key` (string, optional)
- `label` (string, optional)

### InsightsSourceAxis

- `labels` (list of InsightsSourceLabel, optional)
- `series` (list of InsightsSourceSeriesPoint, optional)
- `totals` (InsightsSourceTotals, optional)

### InsightsSourcePeople

- `restricted_to_self` (boolean, optional)
- `rows` (list of InsightsSourcePersonRow, optional)
- `total_count` (integer, optional)
- `viewer_unresolved` (boolean, optional)

### AccountSummaryPeriod

- `days` (integer, optional)
- `end` (string, optional)
- `start` (string, optional)

### InsightsSourceLabel

- `aggregated` (boolean, optional)
- `color_index` (integer, optional)
- `cost_pct` (double, optional)
- `cost_usd` (double, optional)
- `key` (string, optional)
- `label` (string, optional)
- `traces` (long, optional)
- `traces_pct` (double, optional)

### InsightsSourceSeriesPoint

- `cost_usd` (map from string to double, optional)
- `date` (string, optional)
- `traces` (map from string to long, optional)

### InsightsSourceTotals

- `cost_usd` (double, optional)
- `traces` (long, optional)

### InsightsSourcePersonRow

- `axes` (map from string to list of InsightsSourceLabel, optional)
- `cost_usd` (double, optional)
- `identity` (InsightsIdentityRef, optional)
- `key` (string, optional)
- `traces` (long, optional)

### InsightsIdentityRef

- `avatar_account` (string, optional)
- `avatar_handle` (string, optional)
- `avatar_name` (string, optional)
- `deleted_at` (datetime, optional, nullable)
- `href` (string, optional)
- `icon` (string, optional)
- `id` (string, optional)
- `identity_key` (string, optional)
- `is_deleted` (boolean, optional)
- `kind` (string, optional)
- `label` (string, optional)
- `tooltip` (string, optional)
- `user_details` (UserDetails, optional)
- `user_id` (string, optional)

### UserDetails

- `avatar_url` (string, optional)
- `deleted` (boolean, optional)
- `display_name` (string, optional)
- `is_bot` (boolean, optional)
- `kind` (string, optional)
- `team_id` (string, optional)
- `username` (string, optional)

## Examples

**Response**

```json
{
  "as_of": "string",
  "axes": [
    {
      "key": "string",
      "label": "string"
    }
  ],
  "coverage": {
    "backfill_complete": true,
    "classified_from": "string",
    "classified_through": "string",
    "content_available": true,
    "cost_unavailable": true
  },
  "ranges": {},
  "source": {
    "icon": "string",
    "key": "string",
    "label": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/accounts/account/insights/sources/source"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/accounts/account/insights/sources/source';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/accounts/account/insights/sources/source"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/accounts/account/insights/sources/source")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/accounts/account/insights/sources/source")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/accounts/account/insights/sources/source', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/accounts/account/insights/sources/source");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/accounts/account/insights/sources/source")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```